<div class="content-header row">
    <div class="content-header-left col-md-9 col-12 mb-2">
      <div class="row breadcrumbs-top">
        <div class="col-12">
          <h2 class="content-header-title float-left mb-0">Nouveau Garantie</h2>
        
        </div>
      </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
      <div class="form-group breadcrum-right">
        <div class="dropdown">
          <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
          <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
        </div>
      </div>
    </div>
  </div>
  
  
  <section id="users-edit">
    <div class="row match-height">
        <div class="col-md-12 col-12">
            <div class="card" >
                <div class="card-header">
                    <h4 class="card-title"></h4>
                </div>
                <div class="card-content">
                    <div class="card-body">
                        <form novalidate #f="ngForm" (ngSubmit)="save(f.value)">
                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFrom" >
                            <i class="feather icon-info mr-1 align-middle"></i>
                            <span>{{InvalidFrom}}</span>
                          </div>
                            <div class="row">
                            




                            <div class="col-6 col-sm-6">
                            <div class="form-group">
            
                              <div class="controls">
                                <label>Nom de Garantie</label>
                                <input type="text" class="form-control" placeholder="Nom de Garantie" name="nom" #nom="ngModel" [(ngModel)]="garantie.nom"  required>
                              </div>
                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                                <i class="feather icon-info mr-1 align-middle"></i>
                                <span>nom Obligatoire</span>
                              </div>
                              </div>
                              </div>



                            </div>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                
                                    <div class="form-group">
                                        <label>Nom Famille</label>
                                        <select class="form-control" name="familleproduit"  [(ngModel)]="garantie.familleproduit"  required>
                                          <option *ngFor="let f of famille; index as i" value="{{f.id}}">{{f.nom}}</option>   
                                        </select>
                                      </div>
                                      
                                      <div class="form-group">
                                      <div class="controls">
                                        <label>Montant Asurré</label>
                                        <input type="text" class="form-control" placeholder="Montant Asurré" name="montantAssure" #montantAssure="ngModel" [(ngModel)]="garantie.montantAssure"  required>
                                      </div>
                                      <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="montantAssure.touched && montantAssure.invalid">
                                        <i class="feather icon-info mr-1 align-middle"></i>
                                        <span>Montant Assuré Obligatoire</span>
                                      </div>
                                      </div>
                              </div>
                              <div class="col-12 col-sm-6">
                                <div class="form-group">
                                <div class="controls">
                                  <label>Niveau de Garantie</label>
                                  <select class="form-control" name="niveau" #niveau="ngModel" [(ngModel)]="garantie.niveau"  required>
                                    <option value="">Choose Niveau</option>
                                    <option value="Tout risque">Tout risque</option>
                                    <option value="Tiers Risque">Tiers Risque</option>
                                    <option value="Libre">Libre</option>
                                  </select>
                                </div>
                                
                                </div>
                                
                                  <div class="form-group">
                                  <div class="controls">
                                    <label> Montant Franchise</label>
                                    <input type="text" class="form-control" placeholder="Montant Franchise" name="montantFranchise" #montantFranchise="ngModel" [(ngModel)]="garantie.montantFranchise"  required>
                                  </div>
                                  <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="montantFranchise.touched && montantFranchise.invalid">
                                    <i class="feather icon-info mr-1 align-middle"></i>
                                    <span>Montant Franchise Obligatoire</span>
                                  </div>
                                </div>
                              </div>
                              <div class="col-md-3 offset-md-9" style="margin-top: 10px;">
                                <button type="reset" class="btn btn-warning mr-1 mb-1 waves-effect waves-light">Annuler</button>   
                                <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light">Ajouter Garantie</button>
                                </div>
                            </div>
                          </form>            
                                </div>
                </div>
            </div>
        </div>
        
    </div>
  </section>